Package org.apache.tools.ant.types

# Class Assertions.DisabledAssertion

java.lang.Object
org.apache.tools.ant.types.Assertions.BaseAssertion
org.apache.tools.ant.types.Assertions.DisabledAssertion

Enclosing class:
  Assertions

    public static class Assertions.DisabledAssertion
    extends Assertions.BaseAssertion

A disabled assertion disables things

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DisabledAssertion()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getCommandPrefix()` | get the prefix used to begin the command; -ea or -da.

### Methods inherited from class org.apache.tools.ant.types.Assertions.BaseAssertion

`getClassName, getPackageName, setClass, setPackage, toCommand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisabledAssertion

public DisabledAssertion()

## Method Details

### getCommandPrefix

public java.lang.String getCommandPrefix()
get the prefix used to begin the command; -ea or -da.

Specified by:
  `getCommandPrefix` in class `Assertions.BaseAssertion`
Returns:
  prefix